#ifndef SERVERS_HPP
#define SERVERS_HPP

#include <string>
#include <set>
#include <vector>

namespace dropshell {

    // Server information structure
    struct ServerInfo {
        std::string name;
        std::string ssh_host;
        std::string ssh_user;
        std::string ssh_port;
    };

    std::vector<ServerInfo> get_configured_servers();

    ServerInfo get_server_info(const std::string& server_name);

    bool create_server(const std::string& server_name);
   
    void get_all_used_commands(std::set<std::string> &commands);

} // namespace dropshell

#endif // SERVERS_HPP
